move.hpp File Reference

## Classes

struct | ranges::v3::aux::move_fn
struct | ranges::v3::is_indirectly_movable< I, O >
struct | ranges::v3::is_nothrow_indirectly_movable< I, O >

## Typedefs

template<typename R >
using | ranges::v3::aux::move_t = meta::if_< std::is_reference< R >, meta::_t< std::remove_reference< R > > &&, detail::decay_t< R > >

## Functions

template<typename T >
meta::_t< std::remove_reference< T > > && | ranges::v3::aux::operator| (T &&t, move_fn move) noexcept

## Variables

constexpr adl_move_detail::iter_move_fn | ranges::v3::iter_move {}
constexpr move_fn | ranges::v3::aux::move {}